<template>
  <div>
    <section>
      <base-card>
        <h2>{{ fullName }}</h2>
        <h3>${{ rate }}/hr</h3>
      </base-card>
    </section>
    <section>
      <header>
        <base-card>
          <h2>Interested? Reach Out Now!</h2>
          <base-button link :to="contactLink">Contact</base-button>
        </base-card>
      </header>
      <router-view></router-view>
    </section>
    <section>
      <base-card>
        <base-badge
          v-for="area in areas"
          :key="area"
          :type="area"
          :title="area"
        ></base-badge>
        <p>{{ desc }}</p>
      </base-card>
    </section>
  </div>
</template>

<script>
export default {
  props: ['id'],
  data: function() {
    return { selectedCoach: null };
  },
  created: function() {
    this.selectedCoach = this.$store.getters['coaches/coaches'].find(
      coach => coach.id === this.id
    );
  },
  computed: {
    fullName: function() {
      return `${this.selectedCoach.firstName} ${this.selectedCoach.lastName}`;
    },
    areas: function() {
      return this.selectedCoach.areas;
    },
    rate: function() {
      return this.selectedCoach.hourlyRate;
    },
    desc: function() {
      return this.selectedCoach.description;
    },
    contactLink: function() {
      return `${this.$route.path}/contact`;
    }
  }
};
</script>
